aboutsummaryrefslogtreecommitdiff
path: root/games-action
diff options
context:
space:
mode:
Diffstat (limited to 'games-action')
-rw-r--r--games-action/vintage-story-bin/Manifest1
-rw-r--r--games-action/vintage-story-bin/vintage-story-bin-1.22.3.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/games-action/vintage-story-bin/Manifest b/games-action/vintage-story-bin/Manifest
new file mode 100644
index 0000000..233f3ee
--- /dev/null
+++ b/games-action/vintage-story-bin/Manifest
@@ -0,0 +1 @@
+DIST vs_client_linux-x64_1.22.3.tar.gz 618852949 BLAKE2B 547617624433251adf245e9f7be081a7bf63b9dbc3f2dde4989d55667bfbcca7935e414900c2bda900099d2ffe657122225967d878c41babc1bb548ce2afc4ba SHA512 12df8792c92118bb9b39524dc72a9ac9b1afffedc9b8b537a13d462c9ff48c28035d663c098971619ba204ce7d9330dfa4b829a82e62fac8b25b59ddb6ac5df1
diff --git a/games-action/vintage-story-bin/vintage-story-bin-1.22.3.ebuild b/games-action/vintage-story-bin/vintage-story-bin-1.22.3.ebuild
new file mode 100644
index 0000000..64d867a
--- /dev/null
+++ b/games-action/vintage-story-bin/vintage-story-bin-1.22.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHECKREQS_DISK_BUILD="900M"
+inherit desktop check-reqs xdg
+
+DESCRIPTION="Uncompromising wilderness survival sandbox game (requires paid account)"
+HOMEPAGE="https://www.vintagestory.at/"
+SRC_URI="https://cdn.vintagestory.at/gamefiles/stable/vs_client_linux-x64_${PV}.tar.gz"
+S="${WORKDIR}/vintagestory"
+MY_PN="vintage-story"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+RESTRICT="bindist splitdebug strip mirror"
+
+RDEPEND="
+ >=virtual/dotnet-sdk-10.0
+ virtual/opengl
+ media-libs/openal
+ app-shells/bash
+"
+
+DIR="/opt/${MY_PN}"
+QA_PREBUILT="${DIR#/}/*"
+
+src_prepare() {
+ default
+ rm -v "${S}/install.sh" || die
+}
+
+src_install() {
+ insinto "${DIR}"
+ doins -r "${S}"/*
+ fperms +x "${DIR}/Vintagestory" "${DIR}/run.sh"
+
+ newicon -s 512 "${S}/assets/gameicon.png" ${MY_PN}.png
+ dosym "../..${DIR}/run.sh" /usr/bin/${MY_PN}
+ # niri tells me the app-id is literally 'Vintage Story', with space
+ # but make_desktop_entry says that's not allowed as a filename
+ # so i made up a fake reverse domain name kind of thing instead
+ make_desktop_entry --eapi9 ${MY_PN} -d 'at.vintagestory.Client' \
+ -n 'Vintage Story' -c Game -i ${MY_PN} \
+ -C 'Uncompromising wilderness survival sandbox game'
+}